<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.jgroups.stack.protocol.org.jgroups.protocols.AUTH">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="add-index,module,properties,statistics-enabled,socket-binding,type"/>
        <elem name="addr-params" value="profile,subsystem,stack,protocol"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.jgroups"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.jgroups.protocol.$stack.$protocol"/>
    </provides>
    <refs>
        <ref feature="subsystem.jgroups.stack"/>
        <ref feature="subsystem.jgroups"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="add-index" nillable="true"/>
        <param name="stack" feature-id="true"/>
        <param name="protocol" feature-id="true" default="org.jgroups.protocols.AUTH"/>
        <param name="socket-binding" nillable="true"/>
        <param name="module" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="jgroups"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="type" nillable="true"/>
        <param name="properties" nillable="true"/>
    </params>
</feature-spec>